Bug 1271787 - Review Request: comic-neue-fonts - A typeface family inspired by Comic Sans
Review Request: comic-neue-fonts - A typeface family inspired by Comic Sans
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
http://comicneue.com/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 13:59 EDT by Karel Volný
Modified: 2016-01-23 20:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:06:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2015-10-14 13:59:32 EDT
Spec URL: https://kvolny.fedorapeople.org/comic-neue-fonts.spec
SRPM URL: https://kvolny.fedorapeople.org/comic-neue-fonts-2.2-1.fc23.src.rpm
Description:
Comic Neue is a font created by Craig Rozynski that takes inspiration
from Comic Sans. It is perfect as a display face, for marking up comments,
and writing passive aggressive office memos.
Fedora Account System Username: kvolny
Comment 1 Karel Volný 2015-10-14 14:01:13 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11447126
Comment 2 Karel Volný 2015-10-14 14:18:18 EDT
$ rpmlint comic-neue-fonts.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint comic-neue-fonts-2.2-1.fc23.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint comic-neue-angular-fonts-2.2-1.fc23.noarch.rpm comic-neue-fonts-2.2-1.fc23.noarch.rpm comic-neue-fonts-common-2.2-1.fc23.noarch.rpm 
comic-neue-angular-fonts.noarch: W: no-documentation
comic-neue-fonts.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

^ the missing docs are okay as -common is required

repo-font-audit results unavailable due to bug #1271792
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-30 13:21:04 EST
Issues
======

%clean section is unnecesary.

%defattr is unnecessary.

%_font_pkg macro gets folded into %description. Try moving it to a different place.
(See output from -qpi comic-neue-fonts-2.2-1.fc24.src.rpm).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = question

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
OFL.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 67 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1271787-comic-neue-
     fonts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
See above.

[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 481280 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[-]: Run repo-font-audit on all fonts in package.
     Note: Test run failed
repo-font-audit seems borked.

[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.

Rpmlint
-------
Checking: comic-neue-fonts-common-2.2-1.fc24.noarch.rpm
          comic-neue-fonts-2.2-1.fc24.src.rpm
comic-neue-fonts.src: W: unexpanded-macro %description -l C %_font_pkg
comic-neue-fonts.src: W: spelling-error %description -l en_US conf -> con, cone, cons
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
comic-neue-fonts-common (rpmlib, GLIBC filtered):
    fontpackages-filesystem

Provides
--------
comic-neue-fonts-common:
    comic-neue-fonts-common


Looks good, but please fix the %_font_pkg problem.
Comment 4 Upstream Release Monitoring 2015-12-02 05:48:35 EST
kvolny's scratch build of comic-neue-fonts-2.2-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12029123
Comment 5 Karel Volný 2015-12-02 05:53:14 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> %clean section is unnecesary.
> %defattr is unnecessary.

well, yeah ... https://bugzilla.redhat.com/show_bug.cgi?id=1271620
I've missed these two

> %_font_pkg macro gets folded into %description. Try moving it to a different
> place.
> (See output from -qpi comic-neue-fonts-2.2-1.fc24.src.rpm).
...
> Rpmlint
> -------
> Checking: comic-neue-fonts-common-2.2-1.fc24.noarch.rpm
>           comic-neue-fonts-2.2-1.fc24.src.rpm
> comic-neue-fonts.src: W: unexpanded-macro %description -l C %_font_pkg

interesting, my rpmlint does not report this

[kvolny@kvolny SRPMS]$ rpmlint comic-neue-fonts-2.2-1.fc23.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[kvolny@kvolny SRPMS]$ rpm -q rpmlint
rpmlint-1.8-2.fc23.noarch

> Looks good, but please fix the %_font_pkg problem.

thanks

I've moved the macro to the end of %install as seen in oxygen-fonts.spec

new versions uploaded -

SPEC: https://kvolny.fedorapeople.org/comic-neue-fonts.spec
SRPM: https://kvolny.fedorapeople.org/comic-neue-fonts-2.2-2.fc23.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=12029123
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-12-02 09:04:32 EST
Rpmlint
-------
Checking: comic-neue-fonts-2.2-2.fc24.noarch.rpm
          comic-neue-fonts-common-2.2-2.fc24.noarch.rpm
          comic-neue-angular-fonts-2.2-2.fc24.noarch.rpm
          comic-neue-fonts-2.2-2.fc24.src.rpm
comic-neue-fonts.noarch: W: no-documentation
comic-neue-angular-fonts.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
comic-neue-fonts.noarch: W: no-documentation
comic-neue-angular-fonts.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Looks good. Package is APPROVED.
Comment 7 Gwyn Ciesla 2015-12-02 09:30:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/comic-neue-fonts
Comment 8 Fedora Update System 2015-12-02 14:04:02 EST
comic-neue-fonts-2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dc5560cd58
Comment 9 Fedora Update System 2015-12-02 23:19:46 EST
comic-neue-fonts-2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update comic-neue-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dc5560cd58
Comment 10 Upstream Release Monitoring 2015-12-06 12:42:20 EST
pbrobinson's scratch build of comic-neue-fonts?#edb71e52cc52a14aa1a7516a4f986cbff2c8f06e for epel7-archbootstrap and git://pkgs.fedoraproject.org/comic-neue-fonts?#edb71e52cc52a14aa1a7516a4f986cbff2c8f06e completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12089453
Comment 11 Fedora Update System 2016-01-23 20:06:26 EST
comic-neue-fonts-2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.